{ python3Packages, fetchPypi, ... }:
python3Packages.buildPythonPackage rec {
  pname = "uart-wifi";
  version = "0.2.1";
  format = "pyproject";
  src = fetchPypi {
    inherit pname version;
    sha256 = "sha256-yquZ5V8f+EqetCf0nc9WlhHhnHkOASYRuYvqEIMc5HI=";
  };

  buildInputs = with python3Packages; [ setuptools ];

  doCheck = false; # no tests in the PyPI tarball
}
